FUNCTION::REMOTE_ID(3stap)

NAME
function::remote_id - The index of this instance in a remote execution.

SYNOPSIS

    remote_id:long()

ARGUMENTS

None

DESCRIPTION

This function returns a number 0..N, which is the unique index of this particular script execution from a swarm of “stap --remote A --remote B ...” runs, and is the same number “stap --remote-prefix” would print. The function returns -1 if the script was not launched with “stap --remote”, or if the remote staprun/stapsh are older than version 1.7.

SEE ALSO
tapset::context(3stap)